/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

//***************************************************************************
//***                       CLASS ENDDEMO                                 ***
//***************************************************************************
  
import java.awt.*;

public class EndDemo extends Thread{

    private SingleCellPanel[] singleCellPanels;

    public EndDemo(SingleCellPanel[] singleCellPanels){
        this.singleCellPanels = singleCellPanels;
        setPriority(6);
    }

    public void run(){
        for (int index = 0; index < 8; index++){
            Image gebufferdeImage = singleCellPanels[15].getBackgroundImage();

            for (int i = 6; i >= 0 ; i--){
                Image image = singleCellPanels[8 + i].getBackgroundImage();
                singleCellPanels[i + 9].setBackgroundImage(image);
                singleCellPanels[i + 9].drawCell(null);
            }
            singleCellPanels[8].setBackgroundImage(gebufferdeImage);
            singleCellPanels[8].drawCell(null);
            try{
                Thread.sleep(500);
            }
            catch(InterruptedException e){}
        }
    }
}
