/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

//***************************************************************************
//***                       CLASS FREE_CELL                               ***
//***************************************************************************


public class Free_Cell extends Cell{

    private Kaart kaart;
    
    //METHOD getTopKaart
    public Kaart getTopKaart(){
   	    return kaart;
    }
    
    //METHOD removeTopKaart
    public void removeTopKaart(){
   	    kaart = null;
    }
   
    //METHOD getAantalKaarten
    public int getAantalKaarten(){
   	    if (kaart == null) return 0;
   	    return 1;
    }
   
    //METHOD equals
    public boolean equals (Cell other){
        Free_Cell freeother = (Free_Cell) other;
        return freeother.kaart == kaart;
    }
   
    //METHOD setTopKaart
    public void setTopKaart(Kaart kaart){
   	    this.kaart = kaart;
    }
    
    //METHOD kaartKanGeplaatstWorden
    public boolean kaartKanGeplaatstWorden(Kaart deKaart){
   	    return kaart == null;
    }
   
    //METHOD bevatKaart
    public boolean bevatKaart(){
   	    return kaart != null;
    }
    
    //METHOD clonedeep
    public Cell clonedeep(){
   	    Free_Cell kopie = new Free_Cell();
   	    kopie.kaart = kaart;
   	    return kopie;
    }
    
    //METHOD reset
    public void reset(){
        kaart = null;
    }
    
    //METHOD drukAf
    public void drukAf(){
   	    if (kaart == null) System.out.println("leeg");
   	    else kaart.drukAf();
    }
    
}
