/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

import WP_JavaLib.WP_Graphics.*;
import java.awt.*;
import java.awt.event.*;

public class HelpDialog extends WP_Applet_Dialog
{
	public HelpDialog(String sTitle, int iXSize, int iYSize, boolean bResizable)
	{
		super(sTitle, iXSize, iYSize, bResizable);
		
		TextArea text = new TextArea("");
		text.setEditable(false);
		text.append(" Click on cards to retrieve card info!!\n\n" +
			" THE OBJECTIVE OF FREECELL :\n"                                                           +
            "\n The object of FreeCell is to move all the cards to the home cells,"                 +
            "\n using the free cells as placeholders.\n"                                            +
            "\n To win, you make four stacks of cards on the home cells, one for each suit,"        +
            "\n stacked in order of rank, from lowest to highest.\n"                                +
       
			"\n The game area consists of four freecells, four homecells and a deck of cards,"      +
            "\n which is dealt face up in eight columns at the beginning of the game."              +
            "\n To move a card, click the card you want to move,"                                   +
            "\n and then click where you want to move it.\n"                                        +
            "\n You can move cards according to these rules :"                                      +
            "\n     1 A card from the bottom of a column can move to a free cell."                  +
            "\n     2 A card from a free cell or from the bottom of a column"                       +
            "\n       can move to a home cell."                                                     +
            "\n       Moves to a home cell must be made in order of lowest to highest, same suit."  + 
            "\n     3 Aces can move to an empty home cell."                                         +
            "\n     4 A card from a free cell or from the bottom of a column"                       +
            "\n       can move to the bottom of another column."                                    +
            "\n       Moves to a column must be made in order of highest to lowest,"                +
            "\n       alternating suit colors." );

		add(text,"Center");
	}
}
