/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

import WP_JavaLib.WP_Graphics.*;
import java.awt.*;
import java.awt.event.*;

public class KolomDialog extends WP_Applet_Dialog
{
	public KolomDialog(String sTitle, int iXSize, int iYSize, boolean bResizable)
	{
		super(sTitle, iXSize, iYSize, bResizable);
		
		Panel oPanel = new Panel();
		Button kolom = new Button("Move Column");
		oPanel.add(kolom);
		Button kaart = new Button("Move Single Card");
		oPanel.add(kaart);
		
		kolom.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent oEvent)
			{
				setVisible(false);
				oSupport.firePropertyChange("DIALOG_KOLOM", new Boolean(true), null);
			}
		});
		
		kaart.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent oEvent)
			{
				setVisible(false);
				oSupport.firePropertyChange("DIALOG_KAART", new Boolean(true), null);
			}
		});
		
		add(oPanel,"Center");
	}
}
