/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

//***************************************************************************
//***                       CLASS CELL                                    ***
//***************************************************************************

abstract class Cell{

	abstract Kaart getTopKaart();
	abstract void setTopKaart(Kaart kaart);
	abstract void removeTopKaart();
	abstract int getAantalKaarten();
	abstract boolean bevatKaart();
	abstract boolean kaartKanGeplaatstWorden(Kaart kaart);
	abstract boolean equals(Cell other);
	abstract Cell clonedeep();
	abstract void reset();
	abstract void drukAf();
}
