/* Copyright (C) 2001 W.P. van Paassen - peter@paassen.tmfweb.nl, E.C. Brummel
   

   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

//***************************************************************************
//***                       CLASS HEADPANEL                               ***
//***************************************************************************

import java.awt.*;

class HeadPanel extends Panel {
    
    private Image head1 = GameFrame.backgrounds[5];
    private Image head2 = GameFrame.backgrounds[6];
    public boolean left = true;
    
    //CONSTRUCTOR
    public HeadPanel(){
        setSize(getPreferredSize());
    }
    
    //METHOD setHeadToLeft
    public void setHeadToLeft(boolean left){
        this.left = left;
        repaint();
    }
    
    //METHOD paint
    public void paint(Graphics g){
		if (left)
			g.drawImage(head1, 0, 12, this);
        else
			g.drawImage(head2, 0, 12, this);
    }
    
    //METHOD getPreferredSize
    public Dimension getPreferredSize(){ return new Dimension(75, 100); }
}
